export declare const MONGO_MODULE_OPTIONS = "mongo:module_options";
export declare const ENTITY_COLLECTION_NAME = "entity:collection_name";
export declare const ENTITY_METADATA = "entity:metadata";
export declare const ENTITY_COLUMN_OPTIONS = "entity:column_options";
export declare const FILTER_OPERATORS: readonly ["$eq", "$gt", "$gte", "$in", "$lt", "$lte", "$ne", "$nin", "$not", "$exists", "$type", "$expr", "$jsonSchema", "$mod", "$regex", "$options", "$geoIntersects", "$geoWithin", "$near", "$nearSphere", "$maxDistance", "$all", "$elemMatch", "$size", "$bitsAllClear", "$bitsAllSet", "$bitsAnyClear", "$bitsAnySet", "$rand"];
export declare const FILTER_OPERATORS_MAP: Map<"$eq" | "$gt" | "$gte" | "$in" | "$lt" | "$lte" | "$ne" | "$nin" | "$not" | "$exists" | "$type" | "$expr" | "$jsonSchema" | "$mod" | "$regex" | "$options" | "$geoIntersects" | "$geoWithin" | "$near" | "$nearSphere" | "$maxDistance" | "$all" | "$elemMatch" | "$size" | "$bitsAllClear" | "$bitsAllSet" | "$bitsAnyClear" | "$bitsAnySet" | "$rand", number>;
