"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FILTER_OPERATORS_MAP = exports.FILTER_OPERATORS = exports.ENTITY_COLUMN_OPTIONS = exports.ENTITY_METADATA = exports.ENTITY_COLLECTION_NAME = exports.MONGO_MODULE_OPTIONS = void 0;
exports.MONGO_MODULE_OPTIONS = 'mongo:module_options';
exports.ENTITY_COLLECTION_NAME = 'entity:collection_name';
exports.ENTITY_METADATA = 'entity:metadata';
exports.ENTITY_COLUMN_OPTIONS = 'entity:column_options';
exports.FILTER_OPERATORS = [
    '$eq',
    '$gt',
    '$gte',
    '$in',
    '$lt',
    '$lte',
    '$ne',
    '$nin',
    '$not',
    '$exists',
    '$type',
    '$expr',
    '$jsonSchema',
    '$mod',
    '$regex',
    '$options',
    '$geoIntersects',
    '$geoWithin',
    '$near',
    '$nearSphere',
    '$maxDistance',
    '$all',
    '$elemMatch',
    '$size',
    '$bitsAllClear',
    '$bitsAllSet',
    '$bitsAnyClear',
    '$bitsAnySet',
    '$rand'
];
exports.FILTER_OPERATORS_MAP = new Map(exports.FILTER_OPERATORS.map((operator, index) => [operator, index]));
//# sourceMappingURL=constants.js.map